/* © SRSoftware 2025 */
package de.srsoftware.umbrella.core;

import java.util.HashMap;

public class AddableMap extends HashMap<String,Object> {
	public AddableMap plus(Object...param){
		if (param.length % 2 == 1) throw new RuntimeException("Expectirg number of parameters to be even");
		for (int i=0; i<param.length; i+=2) put(param[i].toString(),param[i+1]);
		return this;
	}
}
